|
|||||||||
| Home >> All >> org >> apache >> cactus >> sample >> [ servlet overview ] | PREV NEXT | ||||||||
A
- addFooter(OutputStream) - Method in class org.apache.cactus.sample.servlet.SampleFilter
- Write the footer to the output stream.
- addHeader(OutputStream) - Method in class org.apache.cactus.sample.servlet.SampleFilter
- Write the header to the output stream.
- assertContains(WebResponse, String) - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Convenience function that asserts that a substring can be found in a the returned HTTP response body.
B
- beginPostMethod(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate a POST request to a servlet.
- beginReceiveCookie(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Test that it is possible to send back a Cookie and verify it on the client side.
- beginSendCookie(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate a single cookie sent in the HTTP request.
- beginSendHeader(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate HTTP headers in the HTTP request.
- beginSendMultipleCookies(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate multiple cookies sent in the HTTP request.
- beginSendParams(WebRequest) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate HTTP parameters in the HTTP request.
C
- catchGetRequestParameters(JoinPoint) - Method in class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz.GetRequestParametersTestAdvice
- checkMethod(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Return the method used to send data from the client (POST or GET).
- config - Variable in class org.apache.cactus.sample.servlet.SampleFilter
- We need to save the filter config as the Fitler API does not offer a means to get the filter config ...
D
- destroy() - Method in class org.apache.cactus.sample.servlet.SampleFilter
- Filter un-initialisation.
- doAfterBody() - Method in class org.apache.cactus.sample.servlet.SampleBodyTag
- doEndTag() - Method in class org.apache.cactus.sample.servlet.SampleTag
- Does two things: Stops the page if the corresponding attribute has been set Prints a message another tag encloses this one.
- doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class org.apache.cactus.sample.servlet.SampleFilter
- Perform the filter function.
- doForward(HttpServletRequest, HttpServletResponse, ServletConfig) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Use a
RequestDispatcherto forward to a JSP page. - doGet(HttpServletRequest, HttpServletResponse) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Entry point for the servlet when a GET request is received.
- doInclude(HttpServletRequest, HttpServletResponse, ServletConfig) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Use a
RequestDispatcherto include a JSP page. - doStartTag() - Method in class org.apache.cactus.sample.servlet.SampleTag
- Prints the names and values of everything in page scope to the response,
along with the body (if showBody is set to
true).
E
- endDoEndTagContinue(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Checks whether the tag has printed a message indicating that it has a parent tag.
- endDoEndTagStop(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Checks whether the tag has printed a message indicating that it has a parent tag.
- endDoFilterOK(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that the filter does correctly add a header and footer to any requets it is serving.
- endDoStartTag(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Verifies that the output includes the output from doStartTag (a message from the tag and the attribute set into page scope).
- endDoStartTagInclude(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- The tag prints a message before the body is included, here we check that the message shows up.
- endReadServletOutputStream(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can assert the servlet output stream.
- endReceiveCookie(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Test that it is possible to send back a Cookie and verify it on the client side.
- endReceiveHeader(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that it is possible to send back a header and verify it on the client side.
- endReplacement(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- Verifies that the target String has indeed been replaced in the tag's body.
- endRequestDispatcherForward(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can use a
RequestDispatcherin the class to test to forward to another page and compare the result sent to the output stream on the client side. - endRequestDispatcherInclude(WebResponse) - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can use a
RequestDispatcherin the class to test to include another page and compare the result sent to the output stream on the client side.
G
- getConfigData() - Method in class org.apache.cactus.sample.servlet.SampleServletConfig
- Simulate a method that calls
getServletConfig(). - getRequestCookies(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- getRequestHeader(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Get a header from the request.
- getRequestParameters(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Get some parameters from the HTTP request.
I
- init(FilterConfig) - Method in class org.apache.cactus.sample.servlet.SampleFilter
- Filter initialisation.
- interceptServlet - Variable in class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz.GetRequestParametersTestAdvice
O
- org.apache.cactus.sample.servlet - package org.apache.cactus.sample.servlet
R
- release() - Method in class org.apache.cactus.sample.servlet.SampleBodyTag
- replacement - Variable in class org.apache.cactus.sample.servlet.SampleBodyTag
- The substring that will replace the target in the body.
S
- SampleBodyTag - class org.apache.cactus.sample.servlet.SampleBodyTag.
- Sample tag that interacts with its body.
- SampleBodyTag() - Constructor for class org.apache.cactus.sample.servlet.SampleBodyTag
- SampleFilter - class org.apache.cactus.sample.servlet.SampleFilter.
- Sample filter that implements some very simple business logic.
- SampleFilter() - Constructor for class org.apache.cactus.sample.servlet.SampleFilter
- SampleServlet - class org.apache.cactus.sample.servlet.SampleServlet.
- Sample servlet that implement some very simple business logic.
- SampleServlet() - Constructor for class org.apache.cactus.sample.servlet.SampleServlet
- SampleServletConfig - class org.apache.cactus.sample.servlet.SampleServletConfig.
- Sample servlet to show how to unit test a servlet that makes calls to
getServletConfig(),getServletContext(),log(), ... - SampleServletConfig() - Constructor for class org.apache.cactus.sample.servlet.SampleServletConfig
- SampleTag - class org.apache.cactus.sample.servlet.SampleTag.
- Sample tag that implements simple tag logic.
- SampleTag() - Constructor for class org.apache.cactus.sample.servlet.SampleTag
- setReplacement(String) - Method in class org.apache.cactus.sample.servlet.SampleBodyTag
- Sets the substring that will replace the target in the body.
- setRequestAttribute(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Set some attribute in the request.
- setResponseCookie(HttpServletResponse) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Set a cookie for sending back to the client.
- setResponseHeader(HttpServletResponse) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Set a header in the HTTP response.
- setSessionVariable(HttpServletRequest) - Method in class org.apache.cactus.sample.servlet.SampleServlet
- Set some variable in the HTTP session.
- setShowBody(String) - Method in class org.apache.cactus.sample.servlet.SampleTag
- Determines whether the tag's body should be shown.
- setStopPage(String) - Method in class org.apache.cactus.sample.servlet.SampleTag
- Determines whether page should stop after the tag.
- setTarget(String) - Method in class org.apache.cactus.sample.servlet.SampleBodyTag
- Sets the substring to be replaced in the body.
- setUp() - Method in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- In addition to creating the tag instance and adding the pageContext to it, this method creates a BodyContent object and passes it to the tag.
- setUp() - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- showBody - Variable in class org.apache.cactus.sample.servlet.SampleTag
- Determines whether the tag's body should be shown.
- stopPage - Variable in class org.apache.cactus.sample.servlet.SampleTag
- Determines whether page should continue after the tag.
- suite() - Static method in class org.apache.cactus.sample.servlet.TestAll
T
- TestAll - class org.apache.cactus.sample.servlet.TestAll.
- Run all the Sample Servlet API 2.2 Cactus tests.
- TestAll() - Constructor for class org.apache.cactus.sample.servlet.TestAll
- TestSampleBodyTag - class org.apache.cactus.sample.servlet.TestSampleBodyTag.
- Tests of the
SampleBodyTagclass. - TestSampleBodyTag() - Constructor for class org.apache.cactus.sample.servlet.TestSampleBodyTag
- TestSampleFilter - class org.apache.cactus.sample.servlet.TestSampleFilter.
- Tests of the
SampleFilterfilter class. - TestSampleFilter() - Constructor for class org.apache.cactus.sample.servlet.TestSampleFilter
- TestSampleServlet - class org.apache.cactus.sample.servlet.TestSampleServlet.
- Tests of the
SampleServletservlet class. - TestSampleServlet() - Constructor for class org.apache.cactus.sample.servlet.TestSampleServlet
- TestSampleServletAspectWerkz - class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz.
- TestSampleServletAspectWerkz() - Constructor for class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz
- TestSampleServletAspectWerkz.GetRequestParametersTestAdvice - class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz.GetRequestParametersTestAdvice.
- Intercepts Servlet's doXXX calls and instead redirect the flow of
execution to the
SampleServlet.getRequestParameters(javax.servlet.http.HttpServletRequest)55 method to unit test. - TestSampleServletAspectWerkz.GetRequestParametersTestAdvice() - Constructor for class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz.GetRequestParametersTestAdvice
- TestSampleServletConfig - class org.apache.cactus.sample.servlet.TestSampleServletConfig.
- Tests of the
SampleServletConfigservlet class. - TestSampleServletConfig() - Constructor for class org.apache.cactus.sample.servlet.TestSampleServletConfig
- TestSampleTag - class org.apache.cactus.sample.servlet.TestSampleTag.
- Tests of the
SampleTagclass. - TestSampleTag() - Constructor for class org.apache.cactus.sample.servlet.TestSampleTag
- tag - Variable in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- Our tag instance being unit tested
- tag - Variable in class org.apache.cactus.sample.servlet.TestSampleTag
- Our tag instance to unit test
- tagContent - Variable in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- The tag body content to which we can write to in our unit tests to simulate a content.
- target - Variable in class org.apache.cactus.sample.servlet.SampleBodyTag
- The substring to be replaced in the body.
- tearDown() - Method in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- testAddFooterParamNotDefined() - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that adding a footer to the output stream is working fine (i.e.
- testAddFooterParamOK() - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that adding a footer to the output stream is working fine when a footer parameter is defined.
- testAddHeaderParamNotDefined() - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that adding a header to the output stream is working fine (i.e.
- testAddHeaderParamOK() - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that adding a header to the output stream is working fine when a header parameter is defined.
- testDoEndTagContinue() - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Checks if the tag will continue the page correctly if its stopPage property is set to false.
- testDoEndTagStop() - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Checks if the tag will signal that page processing should stop if stopPage is set to "true"
- testDoFilterOK() - Method in class org.apache.cactus.sample.servlet.TestSampleFilter
- Test that the filter does correctly add a header and footer to any requets it is serving.
- testDoStartTag() - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Tests whether doStartTag() will skip the body if the corresponding tag attribute is set.
- testDoStartTagInclude() - Method in class org.apache.cactus.sample.servlet.TestSampleTag
- Test whether the tag's body will be shown if the corresponding attribute is set.
- testGetMethod() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate a GET request to a servlet.
- testGetRequestParameters() - Method in class org.apache.cactus.sample.servlet.TestSampleServletAspectWerkz
- Test
SampleServlet.getRequestParameters(javax.servlet.http.HttpServletRequest)55 by calling the server side using HttpUnit. - testPostMethod() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate a POST request to a servlet.
- testReadServletOutputStream() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can assert the servlet output stream.
- testReceiveCookie() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Test that it is possible to send back a Cookie and verify it on the client side.
- testReceiveHeader() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that it is possible to send back a header and verify it on the client side.
- testReplacement() - Method in class org.apache.cactus.sample.servlet.TestSampleBodyTag
- Sets the replacement target and replacement String on the tag, then calls doAfterBody().
- testRequestDispatcherForward() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can use a
RequestDispatcherin the class to test to forward to another page and compare the result sent to the output stream on the client side. - testRequestDispatcherInclude() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can use a
RequestDispatcherin the class to test to include another page and compare the result sent to the output stream on the client side. - testSendCookie() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate a single cookie sent in the HTTP request.
- testSendHeader() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate HTTP headers in the HTTP request.
- testSendMultipleCookies() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can simulate multiple cookies sent in the HTTP request.
- testSendParams() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can send several parameters in the HTTP request.
- testServletConfig() - Method in class org.apache.cactus.sample.servlet.TestSampleServletConfig
- Verify that we can unit test a servlet that makes calls to
getServletConfig(),getServletContext(),log(), ... - testSetAttribute() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that by default the session implicit object is available and can be used.
- testSetRequestAttribute() - Method in class org.apache.cactus.sample.servlet.TestSampleServlet
- Verify that we can set an attribute in the request.
A B C D E G I O R S T
|
|||||||||
| Home >> All >> org >> apache >> cactus >> sample >> [ servlet overview ] | PREV NEXT | ||||||||